#
# spec file for package ibacm
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ibacm
Version:        1.0.9
Release:        5.5
Summary:        InfiniBand Communication Manager Assistant
License:        GPL-2.0 or BSD-2-Clause
Group:          Productivity/Networking/System
Url:            http://www.openfabrics.org/
Source:         https://www.openfabrics.org/downloads/rdmacm/%{name}-%{version}.tar.gz
BuildRequires:  libibumad-devel
BuildRequires:  libibverbs-devel >= 1.1-1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
ibacm assists with establishing communication over Infiniband.

%package        devel
Summary:        IB CM pre-connection services - SDK
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Requires:       libibverbs-devel >= 1.1-1

%description    devel
Header for the IB CM pre-connection services.

%prep
%setup -q

%build
export AM_LDFLAGS=-pthread

%configure
make %{?_smp_mflags}

%install
%makeinstall
# Remove sysvinit script, as it's not used anyway
rm -rf %{buildroot}%{_sysconfdir}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/ib_acme
%{_sbindir}/ibacm
%{_mandir}/man1/*
%{_mandir}/man7/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/infiniband/acm.h

%changelog
* Fri Feb 13 2015 p.drouand@gmail.com
- Update to version 1.0.9
  * Empty changelog
- Remove obsolete ibacm-no_type_punning.patch
- Remove unused sysvinit script
- Use download Url as source
* Fri Aug 29 2014 pth@suse.de
- Fix another case of type-punning by using memcpy.
* Tue Jun  3 2014 pth@suse.de
- Update to OFED 3.12 final.
* Fri Jan 17 2014 pth@suse.de
- Update to 1.0.8 from OFED 3.12 daily snapshot.
* Tue Sep 18 2012 pth@suse.de
- Use offsetof to avoid a second memcpy in the type punning patch.
* Thu Sep 13 2012 pth@suse.de
- Run format-spec-file service.
- Add a patch comment in spec file and a long comment in the patch.
* Tue Sep 11 2012 pth@suse.de
- Use makeinstall so that it compiles on older distributions.
* Mon Sep 10 2012 pth@suse.de
- Initial package
- Fix type punning in src/acm.c(acm_process_timeouts)
- Use memcpy instead of a cast because of alignment constraints.
- Run spec-cleaner
- Fix BuildRequires
